You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     m...@freebsd.org
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/net-im/psi/Makefile 412348 2016-04-01 14:16:16Z 
mat $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p423739_s307008/logs/psi-0.15_4.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p423739_s307008
Log:

====>> Building net-im/psi
build started at Fri Oct 14 15:26:12 UTC 2016
port directory: /usr/ports/net-im/psi
building for: FreeBSD head-armv6-default-job-08 12.0-CURRENT FreeBSD 
12.0-CURRENT r307008 arm
maintained by: m...@freebsd.org
Makefile ident:      $FreeBSD: head/net-im/psi/Makefile 412348 2016-04-01 
14:16:16Z mat $
Poudriere version: 3.1.14
Host OSVERSION: 1200005
Jail OSVERSION: 1200012




!!! Jail is newer than host. (Jail: 1200012, Host: 1200005) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
UNAME_v=FreeBSD 12.0-CURRENT r307008
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=armv6
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
QEMU_EMULATING=1
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=psi-0.15_4
OSREL=12.0
_OSRELEASE=12.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1200012
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for psi-0.15_4:
     ASPELL=off: Use aspell for spell checking
     DBUS=on: D-Bus IPC system support
     DEBUG=off: Build with debugging support
     ENCHANT=on: Use Enchant for spell checking
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local --qtdir=/usr/local  --disable-growl --verbose 
--disable-aspell --release  --no-separate-debug-info
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
QMAKE_ARGS='-spec 
/usr/local/share/qt4/mkspecs/freebsd-$(ccver="$(/nxb-bin/usr/bin/c++ 
--version)"; case "$ccver" in *clang*) echo clang ;; *) echo g++ ;; esac)  
QMAKE_CC="/nxb-bin/usr/bin/cc" QMAKE_CXX="/nxb-bin/usr/bin/c++"  
QMAKE_LINK_C="/nxb-bin/usr/bin/cc" QMAKE_LINK_C_SHLIB="/nxb-bin/usr/bin/cc"  
QMAKE_LINK="/nxb-bin/usr/bin/c++" QMAKE_LINK_SHLIB="/nxb-bin/usr/bin/c++"  
QMAKE_CFLAGS="-O2 -pipe  -fno-strict-aliasing"  QMAKE_CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing "  QMAKE_LFLAGS=""  QMAKE_LIBS=""  QMAKE_CFLAGS_DEBUG=""  
QMAKE_CFLAGS_RELEASE=""  QMAKE_CXXFLAGS_DEBUG=""  QMAKE_CXXFLAGS_RELEASE=""  
PREFIX="/usr/local" CONFIG+="release"  CONFIG-="debug separate_debug_info" 
-recursive' PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/net-im/psi/work 
 XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-im/psi/work  
HOME=/wrkdirs/usr/ports/net-im/psi/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/net-im/psi/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-im/psi/work  
HOME=/wrkdirs/usr/ports/net-im/psi/work TMPDIR="/tmp" NO_PIE=yes 
MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  
CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fno-strict-aliasing"  
CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  
CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
ASPELL="@comment
"
NO_ASPELL=""
DBUS=""
NO_DBUS="@comment
"
DEBUG="@comment
"
NO_DEBUG=""
ENCHANT=""
NO_ENCHANT="@comment
"
QT_PREFIX="/usr/local"
QT_BINDIR="bin"
QT_INCDIR="include/qt4"
QT_LIBDIR="lib/qt4"
QT_ARCHDIR="lib/qt4/qt4"
QT_PLUGINDIR="lib/qt4/plugins"
QT_LIBEXECDIR="libexec/qt4"
QT_IMPORTDIR="lib/qt4/imports"
QT_QMLDIR="lib/qt4/qt4/qml"
QT_DATADIR="share/qt4"
QT_DOCDIR="share/doc/qt4"
QT_L10NDIR="share/qt4/translations"
QT_ETCDIR="etc/xdg"
QT_EXAMPLEDIR="share/examples/qt4"
QT_TESTDIR="share/qt4/tests"
QT_MKSPECDIR="share/qt4/mkspecs"
OSREL=12.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/psi"
EXAMPLESDIR="share/examples/psi"
DATADIR="share/psi"
WWWDIR="www/psi"
ETCDIR="etc/psi"
--End PLIST_SUB--

--SUB_LIST--
ASPELL="@comment
"
NO_ASPELL=""
DBUS=""
NO_DBUS="@comment
"
DEBUG="@comment
"
NO_DEBUG=""
ENCHANT=""
NO_ENCHANT="@comment
"
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/psi
DOCSDIR=/usr/local/share/doc/psi
EXAMPLESDIR=/usr/local/share/examples/psi
WWWDIR=/usr/local/www/psi
ETCDIR=/usr/local/etc/psi
--End SUB_LIST--

---Begin make.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
<snip>
[head-armv6-default-job-08] `-- Extracting libXi-1.7.7,1: .......... done
[head-armv6-default-job-08] `-- Installing libXrandr-1.5.1...
[head-armv6-default-job-08] |   `-- Installing randrproto-1.5.0...
[head-armv6-default-job-08] |   `-- Extracting randrproto-1.5.0: .... done
[head-armv6-default-job-08] `-- Extracting libXrandr-1.5.1: .......... done
[head-armv6-default-job-08] Extracting qt4-gui-4.8.7_1: .......... done
Message from dejavu-2.35:
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message from ca_root_nss-3.27.1:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from trousers-0.3.13_1:
To run tcsd automatically, add the following line to /etc/rc.conf:

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:

tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
===>   psi-0.15_4 depends on file: /usr/local/lib/qt4/libQtGui.so - found
===>   Returning to build of psi-0.15_4
===>   psi-0.15_4 depends on file: /usr/local/bin/moc-qt4 - not found
===>   Installing existing package /packages/All/qt4-moc-4.8.7_1.txz
[head-armv6-default-job-08] Installing qt4-moc-4.8.7_1...
[head-armv6-default-job-08] Extracting qt4-moc-4.8.7_1: .... done
===>   psi-0.15_4 depends on file: /usr/local/bin/moc-qt4 - found
===>   Returning to build of psi-0.15_4
===>   psi-0.15_4 depends on file: /usr/local/lib/qt4/libQtNetwork.so - not 
found
===>   Installing existing package /packages/All/qt4-network-4.8.7.txz
[head-armv6-default-job-08] Installing qt4-network-4.8.7...
[head-armv6-default-job-08] Extracting qt4-network-4.8.7: .......... done
===>   psi-0.15_4 depends on file: /usr/local/lib/qt4/libQtNetwork.so - found
===>   Returning to build of psi-0.15_4
===>   psi-0.15_4 depends on file: /usr/local/bin/qmake-qt4 - not found
===>   Installing existing package /packages/All/qt4-qmake-4.8.7.txz
[head-armv6-default-job-08] Installing qt4-qmake-4.8.7...
[head-armv6-default-job-08] Extracting qt4-qmake-4.8.7: .......... done
===>   psi-0.15_4 depends on file: /usr/local/bin/qmake-qt4 - found
===>   Returning to build of psi-0.15_4
===>   psi-0.15_4 depends on file: /usr/local/bin/rcc - not found
===>   Installing existing package /packages/All/qt4-rcc-4.8.7.txz
[head-armv6-default-job-08] Installing qt4-rcc-4.8.7...
[head-armv6-default-job-08] Extracting qt4-rcc-4.8.7: .... done
===>   psi-0.15_4 depends on file: /usr/local/bin/rcc - found
===>   Returning to build of psi-0.15_4
===>   psi-0.15_4 depends on file: /usr/local/bin/uic-qt4 - not found
===>   Installing existing package /packages/All/qt4-uic-4.8.7.txz
[head-armv6-default-job-08] Installing qt4-uic-4.8.7...
[head-armv6-default-job-08] Extracting qt4-uic-4.8.7: .... done
===>   psi-0.15_4 depends on file: /usr/local/bin/uic-qt4 - found
===>   Returning to build of psi-0.15_4
===>   psi-0.15_4 depends on file: /usr/local/lib/qt4/libQtXml.so - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   psi-0.15_4 depends on shared library: libqca.so - not found
===>   Installing existing package /packages/All/qca-2.1.1_1.txz
[head-armv6-default-job-08] Installing qca-2.1.1_1...
[head-armv6-default-job-08] `-- Installing gnupg-2.1.13...
[head-armv6-default-job-08] |   `-- Installing libassuan-2.4.3...
[head-armv6-default-job-08] |   | `-- Installing libgpg-error-1.24...
[head-armv6-default-job-08] |   | `-- Extracting libgpg-error-1.24: .......... 
done
[head-armv6-default-job-08] |   `-- Extracting libassuan-2.4.3: .......... done
[head-armv6-default-job-08] |   `-- Installing npth-1.2...
[head-armv6-default-job-08] |   `-- Extracting npth-1.2: .......... done
[head-armv6-default-job-08] |   `-- Installing libgcrypt-1.7.3...
[head-armv6-default-job-08] |   `-- Extracting libgcrypt-1.7.3: .......... done
[head-armv6-default-job-08] |   `-- Installing libksba-1.3.4...
[head-armv6-default-job-08] |   `-- Extracting libksba-1.3.4: .......... done
[head-armv6-default-job-08] |   `-- Installing pinentry-0.9.7_1...
[head-armv6-default-job-08] |   | `-- Installing pinentry-tty-0.9.7...
[head-armv6-default-job-08] |   | `-- Extracting pinentry-tty-0.9.7: . done
[head-armv6-default-job-08] |   `-- Extracting pinentry-0.9.7_1: .. done
[head-armv6-default-job-08] `-- Extracting gnupg-2.1.13: .......... done
[head-armv6-default-job-08] Extracting qca-2.1.1_1: .......... done
Message from gnupg-2.1.13:
###############################################################################
                                A T T E N T I O N

In order to use gpg-agent, you need to install a pinentry dialog.

The following ports of pinentry dialogs are available:

security/pinentry-curses        (ncurses based dialog)
security/pinentry-gtk2          (GTK 2.x based dialog)
security/pinentry-qt4           (QT4 based dialog)
security/pinentry-tty           (console based dialog)

###############################################################################
===>   psi-0.15_4 depends on shared library: libqca.so - found 
(/usr/local/lib/libqca.so)
===>   Returning to build of psi-0.15_4
===>   psi-0.15_4 depends on shared library: libminizip.so - not found
===>   Installing existing package /packages/All/minizip-1.2.8_1.txz
[head-armv6-default-job-08] Installing minizip-1.2.8_1...
[head-armv6-default-job-08] Extracting minizip-1.2.8_1: .......... done
===>   psi-0.15_4 depends on shared library: libminizip.so - found 
(/usr/local/lib/libminizip.so)
===>   Returning to build of psi-0.15_4
===>   psi-0.15_4 depends on shared library: libenchant.so - not found
===>   Installing existing package /packages/All/enchant-1.6.0_5.txz
[head-armv6-default-job-08] Installing enchant-1.6.0_5...
[head-armv6-default-job-08] `-- Installing hunspell-1.3.3...
[head-armv6-default-job-08] `-- Extracting hunspell-1.3.3: .......... done
[head-armv6-default-job-08] Extracting enchant-1.6.0_5: .......... done
===>   psi-0.15_4 depends on shared library: libenchant.so - found 
(/usr/local/lib/libenchant.so)
===>   Returning to build of psi-0.15_4
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for psi-0.15_4
Configuring Psi ...

PREFIX=/usr/local
BINDIR=/usr/local/bin
LIBDIR=/usr/local/lib
DATADIR=/usr/local/share
EX_QTDIR=/usr/local
QC_RELEASE=Y
QC_DEBUG=
QC_NO_SEPARATE_DEBUG_INFO=Y
QC_SEPARATE_DEBUG_INFO=
QC_WITH_QCA_INC=
QC_WITH_QCA_LIB=
QC_WITH_ZLIB_INC=
QC_WITH_ZLIB_LIB=
QC_ENABLE_universal=
QC_DISABLE_qdbus=
QC_DISABLE_growl=Y
QC_WITH_GROWL=
QC_ENABLE_whiteboarding=
QC_DISABLE_xss=
QC_DISABLE_aspell=Y
QC_WITH_ASPELL_INC=
QC_WITH_ASPELL_LIB=
QC_DISABLE_enchant=

Verifying Qt 4 build environment ... 
qmake found in /usr/local/bin/qmake-qt4
makespec is freebsd-clang
qemu: unhandled CPU exception 0x9 - aborting
R00=00000001 R01=00000002 R02=00038d44 R03=ffff0fc0
R04=00038d44 R05=0003895c R06=00019388 R07=9fffd6b8
R08=f4ffb000 R09=f4ffc510 R10=00000001 R11=9fffd670
R12=9fffd678 R13=9fffd668 R14=000193b0 R15=ffff0fc0
PSR=60000010 -ZC- A usr32
qemu: uncaught target signal 6 (Abort trap) - core dumped
Abort trap
 -> fail

Reason: Unexpected error launching 'conf'

===>  Script "configure" failed unexpectedly.
Please report the problem to m...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/net-im/psi/work/psi-0.15/config.log" including the output
of the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/net-im/psi
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to